Overview | Package | Class | Use | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.basex.query.xquery.expr
Class FTSelect

    java.lang.Object
      org.basex.query.xquery.expr.Expr
          org.basex.query.xquery.expr.FTSelect

All Implemented Interfaces:
  java.lang.Cloneable

    public final class FTSelect

extends Expr
implements java.lang.Cloneable

FTSelect expression.

Author:
  Workgroup DBIS, University of Konstanz 2005-07, ISC License, Christian Gruen

Field Summary
`boolean` | `content` Entire content flag.
`boolean` | `different` Different flag.
`Expr[]` | `dist` Distance occurrences.
`int` | `dunit` Distance unit.
`boolean` | `end` End flag.
`Expr` | `expr` Expression.
`boolean` | `ordered` Ordered flag.
`static int` | `PARAGRAPHS` Paragraphs unit.
`IntList[]` | `pos` Position list.
`boolean` | `same` Same flag.
`int` | `sdunit` Same/different unit.
`static int` | `SENTENCES` Sentences unit.
`int` | `size` Number of entries.
`boolean` | `start` Start flag.
`TokenList` | `term` Term list.
`Expr` | `weight` Weight.
`Expr` | `window` Window.
`static int` | `WORDS` Word unit.
`int` | `wunit` Window unit.

Fields inherited from class org.basex.query.xquery.expr.Expr
`type`

Constructor Summary
`FTSelect(Expr e)` Constructor.

Method Summary
`FTOptions` | `clone()`
`Expr` | `comp(XQContext ctx)` Optimizes and compiles the expression tree.
`Item` | `eval(XQContext ctx)` Evaluates the expression and returns the resulting item.
`java.lang.String` | `info()` Returns a string description of the expression.
`java.lang.String` | `toString()`

Methods inherited from class org.basex.query.xquery.expr.Expr
`cls, d, e, i, n, node, s, size, str, u`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### content

    public boolean content

  Entire content flag.

### different

    public boolean different

  Different flag.

### dist

    public Expr[] dist

  Distance occurrences.

### dunit

    public int dunit

  Distance unit.

### end

    public boolean end

  End flag.

### expr

    public Expr expr

  Expression.

### ordered

    public boolean ordered

  Ordered flag.

### PARAGRAPHS

    public static final int PARAGRAPHS

  Paragraphs unit.

  See Also:
    Constant Field Values

### pos

    public IntList[] pos

  Position list.

### same

    public boolean same

  Same flag.

### sdunit

    public int sdunit

  Same/different unit.

### SENTENCES

    public static final int SENTENCES

  Sentences unit.

  See Also:
    Constant Field Values

### size

    public int size

  Number of entries.

### start

    public boolean start

  Start flag.

### term

    public TokenList term

  Term list.

### weight

    public Expr weight

  Weight.

### window

    public Expr window

  Window.

### WORDS

    public static final int WORDS

  Word unit.

  See Also:
    Constant Field Values

### wunit

    public int wunit

  Window unit.

Constructor Detail

### FTSelect

    public FTSelect(Expr e)

  Constructor.

  Parameters:
    `e` - expression

Method Detail

### clone

    public FTOptions clone()

  Overrides:
    `clone` in class `java.lang.Object`

### comp

    public Expr comp(XQContext ctx)
              throws XQException

  Description copied from class: `Expr`
  Optimizes and compiles the expression tree.

  Specified by:
    `comp` in class `Expr`
  Parameters:
    `ctx` - query context
  Returns:
    optimized Expression
  Throws:
    `XQException` - evaluation exception

### eval

    public Item eval(XQContext ctx)
              throws XQException

  Description copied from class: `Expr`
  Evaluates the expression and returns the resulting item.

  Specified by:
    `eval` in class `Expr`
  Parameters:
    `ctx` - query context
  Returns:
    resulting item
  Throws:
    `XQException` - evaluation exception

### info

    public java.lang.String info()

  Description copied from class: `Expr`
  Returns a string description of the expression. Contrary to the `Expr.toString()` method, the current expressions aren't included in the output.

  Specified by:
    `info` in class `Expr`
  Returns:
    result of check

### toString

    public java.lang.String toString()

  Specified by:
    `toString` in class `Expr`

Overview | Package | Class | Use | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD